Subject: [Sip] draft-ietf-sip-content-indirect-mech

From: "Daniel G. Petrie" <[email-masked]>
Date: Sun, 07 Nov 2004 15:37:23 -0500

URI scheme negotiation:

Section 5.2
I am not sure I understand the URI scheme mechanizm. As I read
the draft it seems the party providing the content gets to
specify the alternative URI schemes.  How does the retriever
of the indirect content get to indicate what it supports.

It is not always a UAS that is providing content indirection.
In the configuration framework an event package is proposed
where the NOTIFY request would use content indirection.

So how does a subscriber indicate that it supports the
FOO URI scheme.

Can multipart/alternative be used by the notifier to provide
alternative URI scheme URIs for content indirection (e.g.
provide a FTP or XCAP alternative to the HTTP URI that is
also included)?

etag and content-id interaction:
This draft describes a requirement for relating the HTTP etag to
the content, but no binding is proposed.  When using content indirection
with XCAP it is very important that the content-id be somehow bound
to the etag.  Otherwise there is a race condition where the receiver
of the content indirection URI does not know if the last retrived content
(label by the content-id) corresponds to the etag advertised in a
NOTIFY of content change.  The simplest form of binding of the etag
would be to simply use the etag as the content-id.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip